# Class CIM_ElementInConnector
extends CIM_Dependency

Adapter cards, DIMMs and other physical elements are plugged into System Connectors for power and/or to transfer data. This relationship is defined by ElementInConnector.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ElementInConnector

## Direct Known Subclasses

CIM_PackageInConnector

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Adapter cards, DIMMs and other physical elements are plugged into System Connectors for power and/or to transfer data. This relationship is defined by ElementInConnector.
UMLPackagePath | string | CIM::Physical::Connector
Version | string | 2.18.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ElementInConnector | CIM_PhysicalConnector
Dependent | CIM_ElementInConnector | CIM_PhysicalElement

## Class Methods